apiVersion: admissionregistration.k8s.io/v1
kind: MutatingWebhookConfiguration
metadata:
  creationTimestamp: "2025-10-29T13:19:24Z"
  generateName: mutate-ns-hco.kubevirt.io-
  generation: 2
  labels:
    olm.managed: "true"
    olm.owner: kubevirt-hyperconverged-operator.v4.19.12
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: openshift-cnv
    olm.webhook-description-generate-name: mutate-ns-hco.kubevirt.io
    olm.webhook-description-hash: 329xLD7RzZr5XvGSSztSpKQLrR1aeHMUyzPb4F
  name: mutate-ns-hco.kubevirt.io-zm47d
  resourceVersion: "2227388"
  uid: a9bda8f4-d338-4413-8920-55296f3cc4c8
webhooks:
- admissionReviewVersions:
  - v1beta1
  - v1
  clientConfig:
    service:
      name: hco-webhook-service
      namespace: openshift-cnv
      path: /mutate-ns-hco-kubevirt-io
      port: 4343
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: mutate-ns-hco.kubevirt.io
  namespaceSelector:
    matchLabels:
      olm.operatorgroup.uid/e0662aff-586c-4469-b18d-3b80ca25bbce: ""
  objectSelector:
    matchLabels:
      kubernetes.io/metadata.name: openshift-cnv
  reinvocationPolicy: Never
  rules:
  - apiGroups:
    - ""
    apiVersions:
    - v1
    operations:
    - DELETE
    resources:
    - namespaces
    scope: '*'
  sideEffects: NoneOnDryRun
  timeoutSeconds: 10
